summaryrefslogtreecommitdiffstats
path: root/debian/systemd-coredump.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 13:00:48 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 13:00:48 +0000
commitf542925b701989ba6eed7b08b5226d4021b9b85f (patch)
tree57e14731f21a6d663326d30b7b88736e9d51c420 /debian/systemd-coredump.postinst
parentAdding upstream version 247.3. (diff)
downloadsystemd-f542925b701989ba6eed7b08b5226d4021b9b85f.tar.xz
systemd-f542925b701989ba6eed7b08b5226d4021b9b85f.zip
Adding debian version 247.3-7+deb11u4.debian/247.3-7+deb11u4debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/systemd-coredump.postinst')
-rw-r--r--debian/systemd-coredump.postinst16
1 files changed, 16 insertions, 0 deletions
diff --git a/debian/systemd-coredump.postinst b/debian/systemd-coredump.postinst
new file mode 100644
index 0000000..1b93506
--- /dev/null
+++ b/debian/systemd-coredump.postinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = configure ]; then
+ adduser --quiet --system --group --no-create-home --home /run/systemd \
+ --gecos "systemd Core Dumper" systemd-coredump
+
+ # enable systemd-coredump right after package installation
+ if [ -d /run/systemd/system ]; then
+ systemctl daemon-reload && systemctl start systemd-coredump.socket || true
+ fi
+ /lib/systemd/systemd-sysctl /usr/lib/sysctl.d/50-coredump.conf || true
+fi
+
+#DEBHELPER#